Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.context.portlet
Interface FlowUrlHandler

All Known Implementing Classes:
  DefaultFlowUrlHandler

    public interface FlowUrlHandler

A interface for parsing and generating flow URLs. Encapsulates a specific flow URL format.

Author:
  Keith Donald, Scott Andrews

Method Summary
`java.lang.String` | `createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, javax.portlet.RenderResponse response)` Creates a flow execution URL during a render phase suitable to invoke Web Flow in a portlet environment
`java.lang.String` | `createFlowExecutionUrl(java.lang.String flowId, java.lang.String flowExecutionKey, javax.portlet.ResourceResponse response)` Creates a flow execution URL during a resource phase suitable to invoke Web Flow in a portlet environment
`java.lang.String` | `getFlowExecutionKey(javax.portlet.PortletRequest request)` Extract the flow execution from the request.
`void` | `setFlowExecutionInSession(java.lang.String flowExecutionKey, javax.portlet.RenderRequest request)` Set the flow execution key into the portlet session.
`void` | `setFlowExecutionInSession(java.lang.String flowExecutionKey, javax.portlet.ResourceRequest request)` Set the flow execution key into the portlet session.
`void` | `setFlowExecutionRenderParameter(java.lang.String flowExecutionKey, javax.portlet.ActionResponse response)` Set the flow execution key render parameter.

Method Detail

### getFlowExecutionKey

    java.lang.String getFlowExecutionKey(javax.portlet.PortletRequest request)

  Extract the flow execution from the request.

  Parameters:
    `request` - the request
  Returns:
    the flow execution key, or null if no flow execution key is present

### setFlowExecutionRenderParameter

    void setFlowExecutionRenderParameter(java.lang.String flowExecutionKey,
                                         javax.portlet.ActionResponse response)

  Set the flow execution key render parameter.

  Parameters:
    `flowExecutionKey` - the key
    `response` - the action response

### setFlowExecutionInSession

    void setFlowExecutionInSession(java.lang.String flowExecutionKey,
                                   javax.portlet.RenderRequest request)

  Set the flow execution key into the portlet session. This should only be used in a render request when the portlet is started before any action requests are made

  Parameters:
    `flowExecutionKey` - the key
    `request` - the request

### setFlowExecutionInSession

    void setFlowExecutionInSession(java.lang.String flowExecutionKey,
                                   javax.portlet.ResourceRequest request)

  Set the flow execution key into the portlet session. This should only be used in a resource request when the portlet is started before any action requests are made

  Parameters:
    `flowExecutionKey` - the key
    `request` - the request

### createFlowExecutionUrl

    java.lang.String createFlowExecutionUrl(java.lang.String flowId,
                                            java.lang.String flowExecutionKey,
                                            javax.portlet.RenderResponse response)

  Creates a flow execution URL during a render phase suitable to invoke Web Flow in a portlet environment

  Parameters:
    `flowId` - the flow id
    `flowExecutionKey` - the flow execution key
    `response` - the response
  Returns:
    the execution url

### createFlowExecutionUrl

    java.lang.String createFlowExecutionUrl(java.lang.String flowId,
                                            java.lang.String flowExecutionKey,
                                            javax.portlet.ResourceResponse response)

  Creates a flow execution URL during a resource phase suitable to invoke Web Flow in a portlet environment

  Parameters:
    `flowId` - the flow id
    `flowExecutionKey` - the flow execution key
    `response` - the response
  Returns:
    the execution url

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD